package com.atlassian.stash.internal.content;

import javax.annotation.Nonnull;

import static com.google.common.base.Preconditions.checkNotNull;

public class CommitMessage {

    private final String body;
    private final String subject;

    public CommitMessage(@Nonnull String subject, @Nonnull String body) {
        this.subject = checkNotNull(subject, "subject");
        this.body = checkNotNull(body, "body");
    }

    @Nonnull
    public String getSubject() {
        return subject;
    }

    @Nonnull
    public String getBody() {
        return body;
    }
}
